package com.bonus.boot.manager.basic.entity;

import org.apache.ibatis.type.Alias;

import java.io.Serializable;
public class ZNode implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private String id;
	
	private String pId;
	
	private String name;
	
	private String code;
	
	private String pName;
	
	private String checked;
	
	private Integer type;
	
	private boolean open = false;
	
	private boolean existed = true;
	
	private String icon;
	
	private String sort;
	
	private String leasePrice;
	
	private String internalPrice;
	
	private String portalPrice;
	
	private Float num;
	
	private Integer currency;
	
	private Integer level;
	
	private String unitName;
	
	private String unitValue;
	
	private String partId;
	
	private Integer isCount;
	
	private String storageNum;
	
	private Integer keepId;
	private String keepName;
	
	public Integer getIsCount() {
		return isCount;
	}

	public void setIsCount(Integer isCount) {
		this.isCount = isCount;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getPortalPrice() {
		return portalPrice;
	}

	public void setPortalPrice(String portalPrice) {
		this.portalPrice = portalPrice;
	}

	public String getPartId() {
		return partId;
	}

	public void setPartId(String partId) {
		this.partId = partId;
	}

	public String getUnitName() {
		return unitName;
	}

	public void setUnitName(String unitName) {
		this.unitName = unitName;
	}

	public String getUnitValue() {
		return unitValue;
	}

	public void setUnitValue(String unitValue) {
		this.unitValue = unitValue;
	}

	public String getpName() {
		return pName;
	}

	public void setpName(String pName) {
		this.pName = pName;
	}

	public Integer getLevel() {
		return level;
	}

	public void setLevel(Integer level) {
		this.level = level;
	}

	public Integer getCurrency() {
		return currency;
	}

	public void setCurrency(Integer currency) {
		this.currency = currency;
	}

	public String getInternalPrice() {
		return internalPrice;
	}

	public void setInternalPrice(String internalPrice) {
		this.internalPrice = internalPrice;
	}

	public Float getNum() {
		return num;
	}

	public void setNum(Float num) {
		this.num = num;
	}

	public String getLeasePrice() {
		return leasePrice;
	}

	public void setLeasePrice(String leasePrice) {
		this.leasePrice = leasePrice;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getpId() {
		return pId;
	}

	public void setpId(String pId) {
		this.pId = pId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getChecked() {
		return checked;
	}

	public void setChecked(String checked) {
		this.checked = checked;
	}

	public boolean isOpen() {
		return open;
	}

	public void setOpen(boolean open) {
		this.open = open;
	}

	public boolean isExisted() {
		return existed;
	}

	public void setExisted(boolean existed) {
		this.existed = existed;
	}

	public String getIcon() {
		return icon;
	}

	public void setIcon(String icon) {
		this.icon = icon;
	}

	public String getSort() {
		return sort;
	}

	public void setSort(String sort) {
		this.sort = sort;
	}

	public String getStorageNum() {
		return storageNum;
	}

	public void setStorageNum(String storageNum) {
		this.storageNum = storageNum;
	}


	public Integer getKeepId() {
		return keepId;
	}

	public void setKeepId(Integer keepId) {
		this.keepId = keepId;
	}

	public String getKeepName() {
		return keepName;
	}

	public void setKeepName(String keepName) {
		this.keepName = keepName;
	}

	@Override
	public String toString() {
		return "ZNode [id=" + id + ", pId=" + pId + ", name=" + name + ", code=" + code + ", pName=" + pName
				+ ", checked=" + checked + ", type=" + type + ", open=" + open + ", existed=" + existed + ", icon="
				+ icon + ", sort=" + sort + ", leasePrice=" + leasePrice + ", internalPrice=" + internalPrice
				+ ", portalPrice=" + portalPrice + ", num=" + num + ", currency=" + currency
				+ ", level=" + level + ", unitName=" + unitName + ", unitValue=" + unitValue + ", partId=" + partId
				+ ", isCount=" + isCount + ", storageNum=" + storageNum + ", keepId=" + keepId + ", keepName="
				+ keepName + "]";
	}
	
}
